Deletes multiple posts based on the provided list of post IDs. This operation is useful for clearing up large numbers of posts efficiently.

Note:

1.The maximum number of posts that can be deleted in a single request is '50'.

2.However, It will only get deleted in Leadway database but still it is recommended to be cautious of this operation.

http
POST https://services.leadconnectorhq.com/social-media-posting/{locationId}/posts/bulk-delete

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
postIdsstring[]NoRequested Results

Responses

201 - Posts deleted successfully
  • success (boolean, required): Success or Failure Example: True

  • statusCode (number, required): Status Code Example: 201

  • message (string, required): Message Example: Posts Deleted Successfully

  • results (object, required): Message and deleted count

json
{
  "success": true,
  "statusCode": 201,
  "message": "Posts Deleted Successfully",
  "results": {
    "message": "Posts deleted successfully",
    "deletedCount": 10
  }
}
400 - Cannot delete more than 50 posts at a time.
json
{}
401 - Unauthorized
json
{}
404 - No posts found with the given IDs.
422 - Unprocessable Entity
json
{}
500 - An error occurred while trying to delete the posts. Please try again later.

Example

curl -X POST 'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/bulk-delete' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "postIds": [
    "662791ee3f216822d7da0c8c"
  ]
}'

Last updated October 26, 2026

Was this page helpful?